View Issue Details

IDProjectCategoryView StatusLast Update
0018220LazarusLCLpublic2011-11-03 19:17
ReporterDavid EmersonAssigned ToMartin Friebe 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version0.9.29 (SVN)Product Build 
Target VersionFixed in Version 
Summary0018220: lazarus call stack, locals, watch list - horizontal scroll broken in gtk2
DescriptionWhen I view the lazarus call stack, locals, or watch list windows, there is a horizontal scrollbar visible. However even when the window contents extend far beyond the edge of the window, the scrollbar is shown as if there was nothing to scroll, and cannot be used.
TagsNo tags attached.
Fixed in Revision
LazTarget-
WidgetsetGTK 2
Attached Files

Relationships

related to 0018035 closedMartin Friebe "Watch list" window does not remember it's column widths 

Activities

Martin Friebe

2010-12-14 22:35

manager   ~0044230

Can you ensure that the last column of the grid, actually extends behind the width of the Window?

By Default the GTK2 grid does align exactly with the window. So the content is cut off because the column size is set to narrow..
Resizing the window resizes the column size too.

The scrollbar only reflects if the columns fir in the window, not if the content fits in the columns.

Did you grab the column sizer at the right of the last column and extended the column, so it became bigger than the visible Window?

This works here.

David Emerson

2011-01-03 10:28

reporter   ~0044820

ah, I see. I had tried that before but had been unable to do it. There is just a 1 pixel space where it can be done, and the mouse cursor does not change to indicate it. It took me about 5 tries to get it just now.

In any case, this is still extremely user-unfriendly.

Spreadsheet programs often have a way to expand column width to fit contents. Something similar would be appropriate here. Auto-expanding the rightmost column would by nifty.

Martin Friebe

2011-01-03 14:08

manager   ~0044833

Yes, sizing can be improved (Auto sizing / remember sizs / ...)

As for the "to small grab area" for the column separator and the missing change to the mouse cursor: This should be reported as a new issue with the grid itself (LCL/Widgetset gtk2)

David Emerson

2011-01-03 23:23

reporter   ~0044847

I filed three separate reports for the relevant issues, so this issue can be closed.

David Emerson

2011-01-03 23:26

reporter   ~0044848

for reference:

grabbing column separators - no mouse cursor change
http://mantis.freepascal.org/view.php?id=18379

rightmost column separator difficult to grab
http://mantis.freepascal.org/view.php?id=18380

double clicking column separator should auto expand to fit contents
http://mantis.freepascal.org/view.php?id=18381

Martin Friebe

2011-11-03 19:16

manager   ~0053784

Closed as requested by reporter.
Individual sub-issues have been reported as new issues.

Issue History

Date Modified Username Field Change
2010-12-14 21:44 David Emerson New Issue
2010-12-14 21:44 David Emerson Widgetset => GTK 2
2010-12-14 22:35 Martin Friebe Note Added: 0044230
2010-12-14 22:35 Martin Friebe LazTarget => -
2010-12-14 22:35 Martin Friebe Status new => feedback
2011-01-03 10:28 David Emerson Note Added: 0044820
2011-01-03 14:04 Martin Friebe Relationship added related to 0018035
2011-01-03 14:08 Martin Friebe Note Added: 0044833
2011-01-03 14:08 Martin Friebe Assigned To => Martin Friebe
2011-01-03 14:08 Martin Friebe Status feedback => assigned
2011-01-03 23:23 David Emerson Note Added: 0044847
2011-01-03 23:26 David Emerson Note Added: 0044848
2011-11-03 19:16 Martin Friebe Status assigned => resolved
2011-11-03 19:16 Martin Friebe Resolution open => fixed
2011-11-03 19:16 Martin Friebe Note Added: 0053784